import { TSClone, TSObject } from "./tsobject";
import { Comparison } from "./types";
export declare class TSCouple<T, U> implements TSObject, TSClone<TSCouple<T, U>> {
    first: T;
    second: U;
    constructor(first: T, second: U);
    clone(): TSCouple<T, U>;
    isEqual(other: any): boolean;
    compare(other: any): Comparison;
    toString(): string;
    toJSON(): any;
    toArray(): any[];
}
export interface TSCoupleConstructor<T, U> {
    new (first: T, second: U): TSCouple<T, U>;
}
