import { TSLeafInspect } from "./tsobject";
import { Resp } from "./tsrequest";
import { AnyDictionary, Nullable } from "./types";
export declare class TSUniqueError extends Error implements TSLeafInspect {
    private static __timeoutInstance;
    private static __genericInstance;
    private constructor();
    static genericError(): TSUniqueError;
    static timeoutError(): TSUniqueError;
    leafInspect(): string;
}
export declare class TSError extends Error {
    readonly info: AnyDictionary | undefined;
    constructor(message: string, info?: AnyDictionary);
    static assertIntParam(v: Nullable<number>, fn: string, param: string): void;
    static assertNotInBrowser(fn: string): void;
    static assertUnsignedParam(v: Nullable<number>, fn: string, param: string): void;
    entries(): [string, any][];
}
export declare function $subclassReponsabililty(instance: object, method: Function): any;
export declare class TSHttpError extends TSError {
    readonly status: Resp;
    constructor(message: string, status: Resp, info?: AnyDictionary);
    entries(): [string, any][];
}
