import { NormativeStringEncoding, StringDictionary, StringEncoding } from "./types";
export declare const FoundationASCIINewLines = "\n\f\r";
export declare const FoundationASCIIStrictWhiteSpaces = "\t\v ";
export declare const FoundationASCIIWhiteSpaces: string;
export declare const FoundationBinaryNewLines: string;
export declare const FoundationBynaryStrictWhiteSpaces: string;
export declare const FoundationBinaryWhiteSpaces: string;
export declare const FoundationNewLines: string;
export declare const FoundationStrictWhiteSpaces: string;
export declare const FoundationWhiteSpaces: string;
export declare const FoundationASCIIConversion: StringDictionary;
export declare const FoundationFindAllWhitespacesRegex: RegExp;
export declare const FoundationLeftTrimRegex: RegExp;
export declare const FoundationRightTrimRegex: RegExp;
export declare const FoundationWhiteSpacesNumberCodeSet: Set<number>;
export declare const FoundationWhiteSpacesStringCodeSet: Set<string>;
export declare const FoundationNewLineNumberCodeSet: Set<number>;
export declare const FoundationNewLineStringCodeSet: Set<string>;
export declare const FoundationStricWhiteSpacesNumberCodeSet: Set<number>;
export declare const FoundationStrictWhiteSpacesStringCodeSet: Set<string>;
export declare const FoundationEncodingsAliases: Array<{
    name: NormativeStringEncoding;
    aliases: StringEncoding[];
}>;
export declare const FoundationStringEncodingsMap: Map<StringEncoding, NormativeStringEncoding>;
export declare const FoundationHTMLEncoding: string[];
export declare const FoundationHTMLStructureEncoding: string[];
